#include "tableviewx.h"
#include <QHeaderView>

TableViewX::TableViewX(QWidget *parent) :
    QTableWidget(parent)
{
    setEditTriggers(NoEditTriggers);

    QStringList labels;
    labels << "#" << "Stat" << "Name" << "SPD" << "ETA" << "Folder" << "Progress" << "URL" << "Size";

    setColumnCount(labels.size());

    setHorizontalHeaderLabels(labels);

    verticalHeader()->hide();
    menu = new QMenu (this);
}

void TableViewX::contextMenuEvent(QContextMenuEvent *e)
{
    menu->exec(e->globalPos());
}
