#ifndef ADDNEW_H
#define ADDNEW_H

#include <QDialog>
#include <QSettings>

namespace Ui {
class AddNew;
}

class AddNew : public QDialog
{
    Q_OBJECT

public:
    explicit AddNew(QWidget *parent = 0);
    ~AddNew();

    void setURL (const QString & url);

    QString getUrl();
    QString getSaveTo();

    bool ac;

private slots:
    void on_pushButton_clicked();

    void on_buttonBox_accepted();

    void on_buttonBox_rejected();

private:
    Ui::AddNew *ui;
    QSettings settings;

};

#endif // ADDNEW_H
