#ifndef ARIA_ERROR_H
#define ARIA_ERROR_H

const char *aria_error[] =
{
    "Unknown Error.",
    "Succeed.",
    "an unknown error occurred.",
    "time out occurred.",
    "a resource was not found.",
    "aria2 saw the specfied number of 'resource not found'' error. See --max-file-not-found option).",
    "a download aborted because download speed was too slow. See --lowest-speed-limit option)",
    "network problem occurred.",
    "Unfinished downloads (SIGINT received)",
    "remote server did not support resume when resume was required to complete download.",
    "there was not enough disk space available.",
    "piece length was different from one in .aria2 control file. See --allow-piece-length-change option.",
    "aria2 was downloading same file at that moment.",
    "aria2 was downloading same info hash torrent at that moment.",
    "file already existed. See --allow-overwrite option.",
    "renaming file failed. See --auto-file-renaming option.",
    "aria2 could not open existing file.",
    "aria2 could not create new file or truncate existing file.",
    "file I/O error occurred.",
    "aria2 could not create directory.",
    "name resolution failed.",
    "aria2 could not parse Metalink document.",
    "FTP command failed.",
    "HTTP response header was bad or unexpected.",
    "too many redirections occurred.",
    "HTTP authorization failed.",
    "aria2 could not parse bencoded file(usually .torrent file).",
    ".torrent file was corrupted or missing information that aria2 needed.",
    "Magnet URI was bad.",
    "bad/unrecognized option was given or unexpected option argument was given.",
    "the remote server was unable to handle the request due to a temporary overloading or maintenance.",
    "aria2 could not parse JSON-RPC request."
};

#endif // ARIA_ERROR_H
