#include <QtSingleApplication>
#include "mainwindow.h"

int main(int argc, char *argv[])
{
    QtSingleApplication a(argc, argv);
    a.setApplicationName("Aria2cUI");
    a.setOrganizationName("Labo-A.L");
    a.setApplicationVersion("0.40");

    if ( a.isRunning() )
    {
        if ( argc > 1 )
            a.sendMessage(a.arguments().at(1));
        return 0;
    }

    MainWindow w;

    QObject::connect(&a , SIGNAL(messageReceived(const QString &)) ,
                     &w , SLOT(messageReceived(const QString &)) );

    w.show();

    if ( argc > 1 )
        w.messageReceived(a.arguments().at(1));

    return a.exec();
}
